import java.io.*;
import polar;

public class polarTest
{
  public static void main(String arg[])
  {
   int xi=100;
   int yi=100;
   double n=4;
   double yildizboyu=100;
   double teta=2.0*Math.PI/n;
   double R=yildizboyu;
   double r=yildizboyu*0.2;
   polar P1=new polar();
   polar P2=new polar();
   polar P3=new polar();
   polar P4=new polar();
   for(int i=0;i<=n;i++)
   {
     double teta1=teta*i;
     double teta2=teta/2+teta1;
     P1.polarGir(R,teta1);
     P2.polarGir(r,teta2);
     //System.out.println("R="+R+"teta1="+teta1);
     //System.out.println("r="+r+"teta2="+teta2);
     //System.out.println("P1 xi="+P1.xi()+"xj="+P1.xj());
     //System.out.println("P2 xi="+P2.xi()+"xj="+P2.xj());
     System.out.println("i="+i+" "+(xi+(int)P1.xi())+" "+(yi-(int)P1.xj())+" "+(xi+(int)P2.xi())+" "+(yi-(int)P2.xj()));
     double teta3=2.0*Math.PI-teta*i;
     double teta4=teta3-teta2;
     P3.polarGir(R,teta3);
     P4.polarGir(r,teta4);
     System.out.println("i="+i+" "+(xi+(int)P3.xi())+" "+(yi-(int)P3.xj())+" "+(xi+(int)P4.xi())+" "+(yi-(int)P4.xj()));
   }

  }
}
